'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('./styles');

var Box = function Box(_ref) {
  var p = _ref.p;
  var px = _ref.px;
  var py = _ref.py;
  var pt = _ref.pt;
  var pb = _ref.pb;
  var pl = _ref.pl;
  var pr = _ref.pr;
  var fill = _ref.fill;
  var col = _ref.col;
  var sm = _ref.sm;
  var md = _ref.md;
  var lg = _ref.lg;

  var props = _objectWithoutProperties(_ref, ['p', 'px', 'py', 'pt', 'pb', 'pl', 'pr', 'fill', 'col', 'sm', 'md', 'lg']);

  function w(n) {
    return n ? n / 12 * 100 + '%' : null;
  }

  var width = w(col);

  if (typeof window !== 'undefined') {
    width = w(col);
    if (window.matchMedia(_styles.breakpoints.sm).matches) {
      width = w(sm) || width;
    }
    if (window.matchMedia(_styles.breakpoints.md).matches) {
      width = w(md) || width;
    }
    if (window.matchMedia(_styles.breakpoints.lg).matches) {
      width = w(lg) || width;
    }
  }

  var style = {
    boxSizing: 'border-box',
    flex: fill ? '1 1 auto' : null,
    padding: p ? _styles.scale[p] : null,
    paddingTop: py ? _styles.scale[py] : pt ? _styles.scale[pt] : null,
    paddingBottom: py ? _styles.scale[py] : pb ? _styles.scale[pb] : null,
    paddingLeft: px ? _styles.scale[px] : pl ? _styles.scale[pl] : null,
    paddingRight: px ? _styles.scale[px] : pr ? _styles.scale[pr] : null,
    width: width,
    flexBasis: width
  };

  return _react2['default'].createElement('div', _extends({}, props, {
    style: style,
    className: 'Box' }));
};

var _React$PropTypes = _react2['default'].PropTypes;
var bool = _React$PropTypes.bool;
var oneOf = _React$PropTypes.oneOf;

Box.propTypes = {
  fill: bool,
  col: oneOf([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]),
  sm: oneOf([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]),
  md: oneOf([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]),
  lg: oneOf([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]),
  p: oneOf([0, 1, 2, 3, 4]),
  px: oneOf([0, 1, 2, 3, 4]),
  py: oneOf([0, 1, 2, 3, 4]),
  pt: oneOf([0, 1, 2, 3, 4]),
  pb: oneOf([0, 1, 2, 3, 4]),
  pl: oneOf([0, 1, 2, 3, 4]),
  pr: oneOf([0, 1, 2, 3, 4])
};

exports['default'] = Box;
module.exports = exports['default'];